# 官方文档，强烈建议耐心看完
# https://github.com/jxxghp/MoviePilot
# https://hub.docker.com/r/jxxghp/moviepilot
# https://wiki.movie-pilot.org

# 官方插件
# https://github.com/jxxghp/MoviePilot-Plugins

# 大部分配置可启动后通过WEB管理界面进行配置，但仍有部分配置需要通过环境变量/配置文件进行配置。
# 配置文件映射路径：/config，配置项生效优先级：环境变量 > env文件（或通过WEB界面配置） > 默认值。
# 该模板将部分参数都简化掉，留下一些个人认为必要的参数以便于修改，剩下的参数设置可以在MP内设置

---
version: "3"
# 最后编辑时间：2024-10-09
# 更新日志：精简部分内容
services:
  moviepilot:
    image: jxxghp/moviepilot:latest
    # 镜像地址
    container_name: moviepilot
    # 容器名字
    hostname: moviepilot
    # 主机名
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3
    # privileged: true
    # 特权模式，赋予容器几乎与主机相同的权限
    network_mode: host
    # 推荐自定义MP的WebUI端口，然后直接用host模式

########################################
## 第一次运行时，MoviePilot 会下载大量文件到本地，请在留意日志中的进度，如果有什么问题，可以寻找网友求助
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
      # 使MP支持内建的重启操作，用于自动更新后重启
      - /volume1/docker/moviepilot/main:/moviepilot 
      # 程序主目录
      - /volume1/docker/moviepilot/config:/config
      # 配置目录
      - /volume1:/volume1
      # 设置一个总目录，以便于后续目录配置的统一修改，也可以自定义，但一定要确认参数无误
      ## 容器路径和本机路径可以一样
      - /volume1/downloads:/downloads
      # 下载目录，多个目录需要分别映射进来，需要满足配置文件说明中的要求
      # 新手不懂就和qb一样的/downloads映射路径，也不要乱改qb设置里面的/downloads，tr同理
      # 新手不懂就和qb一样的/downloads映射路径，也不要乱改qb设置里面的/downloads，tr同理
      # 新手不懂就和qb一样的/downloads映射路径，也不要乱改qb设置里面的/downloads，tr同理
      
########################################
    environment:
      - NGINX_PORT=3500
      # WebUI服务端口默认为3000，可自行修改，不能和API服务端口3001冲突，3000端口也有一些别的镜像会用到，所以修改为3500
      - SUPERUSER=admin
      # 超级管理者用户名，默认为admin，可在MP内修改，初次安装后失效
      # 密码在日志里，只会在第一次部署出现，否则得删除/config/user.db这个文件重新配置，注意查看，初次安装后失效
      #  - PROXY_HOST=【IP:PORT】
      # 网络代理，以便于访问一些网站，如果你没有配置魔法就注释掉，也支持sock5，具体看作者github项目的地址
      - BIG_MEMORY_MODE=false
      # 是否使用大内存模式，true/false，默认不使用
      - UMASK=022
      # 默认创建新文件的权限，一般写022，MP默认为000，可以不写，也可以考虑设置为022

########################################
#### 认证站点 ####
      - AUTH_SITE=iyuu,agsvpt,audiences,discfan,freefarm,haidan,hddolby,hdfans,hhclub,icc2022,ptba,ptlsp,ptvicomo,wintersakura,xingtan,zmpt
      ## 只有通过后才能使用站点相关功能，支持配置多个认证站点，使用英文逗号，进行分隔
      ## 会依次执行认证操作，直到有一个站点认证成功
      ## UID为网站分配给你的数字ID，请在个人信息内查看，切勿泄露
      ## 密钥在控制面板中查看，切勿泄露
      ## 【备用】- AUTH_SITE=iyuu,agsvpt,audiences,discfan,freefarm,haidan,hddolby,hdfans,hhclub,hdkyl,icc2022,ptba,ptlsp,ptvicomo,qingwa,wintersakura,xingtan,zmpt
      ## 以下认证只需要写一个即可，记得把#注释去掉
      ## 推荐红豆饭，因为支持iyuu和mp的认证（2024年5月注释）
########################################
      # - IYUU_SIGN=
      # iyuu的认证，输入IYUU的登录令牌即可，IYUU本身也是需要认证的
########################################
      # - AGSVPT_UID=
      # - AGSVPT_PASSKEY
      # agsvpt用户UID和密钥
########################################
      # - AUDIENCES_UID=
      # - AUDIENCES_PASSKEY=
      # audiences的用户UID和密钥
########################################
      # - DISCFAN_UID=
      # - DISCFAN_PASSKEY=
      # discfan的用户UID和密钥
########################################
      # - FREEFARM_UID=
      # - FREEFARM_PASSKEY=
      # freefarm的用户UID和密钥
########################################
      # - HAIDAN_UID=
      # - HAIDAN_PASSKEY=
      # haidan的用户UID和密钥
########################################
      # - HDDOLBY_UID=
      # - HDDOLBY_PASSKEY=
      # hddolby的用户UID和密钥
########################################
      # - HDFANS_UID=
      # - HDFANS_PASSKEY=
      # hdfans的用户UID和密钥
########################################
      # - HHCLUB_USERNAME=
      # - HHCLUB_PASSKEY=
      # hhclub的用户名和密钥，注意这里是用户名
########################################
      # - HDKYL_UID=
      # - HDKYL_PASSKEY=
      # hdkyl的用户UID和密钥
########################################
      # - ICC2022_UID=
      # - ICC2022_PASSKEY=
      # icc2022的用户UID和密钥
########################################
      # - LEAVES_UID=
      # - LEAVES_PASSKEY=
      # leaves的用户UID和密钥
########################################
      # - PTBA_UID=
      # - PTBA_PASSKEY=
      # ptba的用户UID和密钥
########################################
      # - PTLSP_UID=
      # - PTLSP_PASSKEY=
      # ptlsp的用户UID和密钥
########################################
      # - PTVICOMO_UID=
      # - PTVICOMO_PASSKEY=
      # ptvicomo的用户UID和密钥
########################################    
      # - QINGWA_UID=
      # - QINGWA_PASSKEY=
      # qingwa的用户UID和密钥
########################################
      # - WINTERSAKURA_UID=
      # - WINTERSAKURA_PASSKEY=
      # wintersakura的用户UID和密钥
########################################
      # - XINGTAN_UID=
      # - XINGTAN_PASSKEY=
      # xingtan的用户UID和密钥
########################################
      # - ZMPT_UID=
      # - ZMPT_PASSKEY=
      # zmpt的用户UID和密钥
########################################
